Back to index

salome-geom  6.5.0
Functions
Local Operations (Fillet, Chamfer and other Features)
Transforming geometrical objects
Collaboration diagram for Local Operations (Fillet, Chamfer and other Features):

Functions

def geompyDC.geompyDC.MakeFilletAll
 Perform a fillet on all edges of the given shape.
def geompyDC.geompyDC.MakeFillet
 Perform a fillet on the specified edges/faces of the given shape.
def geompyDC.geompyDC.MakeFilletR1R2
 The same that MakeFillet() but with two Fillet Radius R1 and R2.
def geompyDC.geompyDC.MakeFillet1D
 Perform a fillet on the specified edges of the given shape.
def geompyDC.geompyDC.MakeFillet2D
 Perform a fillet at the specified vertices of the given face/shell.
def geompyDC.geompyDC.MakeChamferAll
 Perform a symmetric chamfer on all edges of the given shape.
def geompyDC.geompyDC.MakeChamferEdge
 Perform a chamfer on edges, common to the specified faces, with distance D1 on the Face1.
def geompyDC.geompyDC.MakeChamferEdgeAD
 Perform a chamfer on edges.
def geompyDC.geompyDC.MakeChamferFaces
 Perform a chamfer on all edges of the specified faces, with distance D1 on the first specified face (if several for one edge)
def geompyDC.geompyDC.MakeChamferFacesAD
 The Same that MakeChamferFaces() but with params theD is chamfer lenght and theAngle is Angle of chamfer (angle in radians or a name of variable which defines angle in degrees)
def geompyDC.geompyDC.MakeChamferEdges
 Perform a chamfer on edges, with distance D1 on the first specified face (if several for one edge)
def geompyDC.geompyDC.MakeChamferEdgesAD
 The Same that MakeChamferEdges() but with params theD is chamfer lenght and theAngle is Angle of chamfer (angle in radians or a name of variable which defines angle in degrees)
def geompyDC.geompyDC.MakeChamfer
 /sa MakeChamferEdge() and MakeChamferFaces()
def geompyDC.geompyDC.MakeExtrudedCut
 Remove material from a solid by extrusion of the base shape on the given distance.
def geompyDC.geompyDC.MakeExtrudedBoss
 Add material to a solid by extrusion of the base shape on the given distance.

Function Documentation

def geompyDC.geompyDC.MakeChamfer (   self,
  aShape,
  d1,
  d2,
  aShapeType,
  ListShape 
)

/sa MakeChamferEdge() and MakeChamferFaces()

Example

See geompy.MakeChamferEdge() and geompy.MakeChamferFaces() functions for more information.

Definition at line 6249 of file geompyDC.py.

06249 
06250         def MakeChamfer(self,aShape,d1,d2,aShapeType,ListShape):
06251             """
06252             See geompy.MakeChamferEdge() and geompy.MakeChamferFaces() functions for more information.
06253             """
06254             # Example: see GEOM_TestOthers.py
06255             anObj = None
06256             if aShapeType == ShapeType["EDGE"]:
06257                 anObj = self.MakeChamferEdge(aShape,d1,d2,ListShape[0],ListShape[1])
06258             else:
06259                 anObj = self.MakeChamferFaces(aShape,d1,d2,ListShape)
06260             return anObj
            

Here is the call graph for this function:

def geompyDC.geompyDC.MakeChamferAll (   self,
  theShape,
  theD 
)

Perform a symmetric chamfer on all edges of the given shape.

Parameters:
theShapeShape, to perform chamfer on.
theDChamfer size along each face.
Returns:
New GEOM.GEOM_Object, containing the result shape.

Example 1
Example 2

Perform a symmetric chamfer on all edges of the given shape.

Parameters:
    theShape Shape, to perform chamfer on.
    theD Chamfer size along each face.

Returns:     
    New GEOM.GEOM_Object, containing the result shape.

Example of usage:
    chamfer_all = geompy.MakeChamferAll(prism, 10.)

Definition at line 6041 of file geompyDC.py.

06041 
06042         def MakeChamferAll(self,theShape, theD):
06043             """
06044             Perform a symmetric chamfer on all edges of the given shape.
06045 
06046             Parameters:
06047                 theShape Shape, to perform chamfer on.
06048                 theD Chamfer size along each face.
06049 
06050             Returns:     
06051                 New GEOM.GEOM_Object, containing the result shape.
06052 
06053             Example of usage:
06054                 chamfer_all = geompy.MakeChamferAll(prism, 10.)
06055             """
06056             # Example: see GEOM_TestOthers.py
06057             theD,Parameters = ParseParameters(theD)
06058             anObj = self.LocalOp.MakeChamferAll(theShape, theD)
06059             RaiseIfFailed("MakeChamferAll", self.LocalOp)
06060             anObj.SetParameters(Parameters)
06061             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeChamferEdge (   self,
  theShape,
  theD1,
  theD2,
  theFace1,
  theFace2 
)

Perform a chamfer on edges, common to the specified faces, with distance D1 on the Face1.

Parameters:
theShapeShape, to perform chamfer on.
theD1Chamfer size along theFace1.
theD2Chamfer size along theFace2.
theFace1,theFace2Global indices of two faces of theShape.
Note:
Global index of sub-shape can be obtained, using method GetSubShapeID().
Returns:
New GEOM.GEOM_Object, containing the result shape.

Example

Perform a chamfer on edges, common to the specified faces,
with distance D1 on the Face1

Parameters:
    theShape Shape, to perform chamfer on.
    theD1 Chamfer size along theFace1.
    theD2 Chamfer size along theFace2.
    theFace1,theFace2 Global indices of two faces of theShape.

Note:
    Global index of sub-shape can be obtained, using method geompy.GetSubShapeID

Returns:      
    New GEOM.GEOM_Object, containing the result shape.

Example of usage:
    prism_faces = geompy.SubShapeAllSortedCentres(prism, geompy.ShapeType["FACE"])
    f_ind_1 = geompy.GetSubShapeID(prism, prism_faces[0])
    f_ind_2 = geompy.GetSubShapeID(prism, prism_faces[1])
    chamfer_e = geompy.MakeChamferEdge(prism, 10., 10., f_ind_1, f_ind_2)

Definition at line 6072 of file geompyDC.py.

06072 
06073         def MakeChamferEdge(self,theShape, theD1, theD2, theFace1, theFace2):
06074             """
06075             Perform a chamfer on edges, common to the specified faces,
06076             with distance D1 on the Face1
06077 
06078             Parameters:
06079                 theShape Shape, to perform chamfer on.
06080                 theD1 Chamfer size along theFace1.
06081                 theD2 Chamfer size along theFace2.
06082                 theFace1,theFace2 Global indices of two faces of theShape.
06083 
06084             Note:
06085                 Global index of sub-shape can be obtained, using method geompy.GetSubShapeID
06086 
06087             Returns:      
06088                 New GEOM.GEOM_Object, containing the result shape.
06089 
06090             Example of usage:
06091                 prism_faces = geompy.SubShapeAllSortedCentres(prism, geompy.ShapeType["FACE"])
06092                 f_ind_1 = geompy.GetSubShapeID(prism, prism_faces[0])
06093                 f_ind_2 = geompy.GetSubShapeID(prism, prism_faces[1])
06094                 chamfer_e = geompy.MakeChamferEdge(prism, 10., 10., f_ind_1, f_ind_2)
06095             """
06096             # Example: see GEOM_TestAll.py
06097             theD1,theD2,Parameters = ParseParameters(theD1,theD2)
06098             anObj = self.LocalOp.MakeChamferEdge(theShape, theD1, theD2, theFace1, theFace2)
06099             RaiseIfFailed("MakeChamferEdge", self.LocalOp)
06100             anObj.SetParameters(Parameters)
06101             return anObj

Here is the call graph for this function:

Here is the caller graph for this function:

def geompyDC.geompyDC.MakeChamferEdgeAD (   self,
  theShape,
  theD,
  theAngle,
  theFace1,
  theFace2 
)

Perform a chamfer on edges.

Parameters:
theShapeShape, to perform chamfer on.
theDChamfer length
theAngleAngle of chamfer (angle in radians or a name of variable which defines angle in degrees)
theFace1,theFace2Global indices of two faces of theShape.
Note:
Global index of sub-shape can be obtained, using method GetSubShapeID().
Returns:
New GEOM.GEOM_Object, containing the result shape.
Perform a chamfer on edges

Parameters:
    theShape Shape, to perform chamfer on.
    theD1 Chamfer size along theFace1.
    theAngle Angle of chamfer (angle in radians or a name of variable which defines angle in degrees).
    theFace1,theFace2 Global indices of two faces of theShape.

Note:
    Global index of sub-shape can be obtained, using method geompy.GetSubShapeID

Returns:      
    New GEOM.GEOM_Object, containing the result shape.

Example of usage:
    prism_faces = geompy.SubShapeAllSortedCentres(prism, geompy.ShapeType["FACE"])
    f_ind_1 = geompy.GetSubShapeID(prism, prism_faces[0])
    f_ind_2 = geompy.GetSubShapeID(prism, prism_faces[1])
    ang = 30
    chamfer_e = geompy.MakeChamferEdge(prism, 10., ang, f_ind_1, f_ind_2)

Definition at line 6109 of file geompyDC.py.

06109 
06110         def MakeChamferEdgeAD(self, theShape, theD, theAngle, theFace1, theFace2):
06111             """
06112             Perform a chamfer on edges
06113 
06114             Parameters:
06115                 theShape Shape, to perform chamfer on.
06116                 theD1 Chamfer size along theFace1.
06117                 theAngle Angle of chamfer (angle in radians or a name of variable which defines angle in degrees).
06118                 theFace1,theFace2 Global indices of two faces of theShape.
06119 
06120             Note:
06121                 Global index of sub-shape can be obtained, using method geompy.GetSubShapeID
06122 
06123             Returns:      
06124                 New GEOM.GEOM_Object, containing the result shape.
06125 
06126             Example of usage:
06127                 prism_faces = geompy.SubShapeAllSortedCentres(prism, geompy.ShapeType["FACE"])
06128                 f_ind_1 = geompy.GetSubShapeID(prism, prism_faces[0])
06129                 f_ind_2 = geompy.GetSubShapeID(prism, prism_faces[1])
06130                 ang = 30
06131                 chamfer_e = geompy.MakeChamferEdge(prism, 10., ang, f_ind_1, f_ind_2)
06132             """
06133             flag = False
06134             if isinstance(theAngle,str):
06135                 flag = True
06136             theD,theAngle,Parameters = ParseParameters(theD,theAngle)
06137             if flag:
06138                 theAngle = theAngle*math.pi/180.0
06139             anObj = self.LocalOp.MakeChamferEdgeAD(theShape, theD, theAngle, theFace1, theFace2)
06140             RaiseIfFailed("MakeChamferEdgeAD", self.LocalOp)
06141             anObj.SetParameters(Parameters)
06142             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeChamferEdges (   self,
  theShape,
  theD1,
  theD2,
  theEdges 
)

Perform a chamfer on edges, with distance D1 on the first specified face (if several for one edge)

Parameters:
theShapeShape, to perform chamfer on.
theD1,theD2Chamfer size
theEdgesSequence of edges of theShape.
Returns:
New GEOM.GEOM_Object, containing the result shape.

Example

Perform a chamfer on edges,
with distance D1 on the first specified face (if several for one edge)

Parameters:
    theShape Shape, to perform chamfer on.
    theD1,theD2 Chamfer size
    theEdges Sequence of edges of theShape.

Returns:
    New GEOM.GEOM_Object, containing the result shape.

Definition at line 6209 of file geompyDC.py.

06209 
06210         def MakeChamferEdges(self, theShape, theD1, theD2, theEdges):
06211             """
06212             Perform a chamfer on edges,
06213             with distance D1 on the first specified face (if several for one edge)
06214             
06215             Parameters:
06216                 theShape Shape, to perform chamfer on.
06217                 theD1,theD2 Chamfer size
06218                 theEdges Sequence of edges of theShape.
06219 
06220             Returns:
06221                 New GEOM.GEOM_Object, containing the result shape.
06222             """
06223             theD1,theD2,Parameters = ParseParameters(theD1,theD2)
06224             anObj = self.LocalOp.MakeChamferEdges(theShape, theD1, theD2, theEdges)
06225             RaiseIfFailed("MakeChamferEdges", self.LocalOp)
06226             anObj.SetParameters(Parameters)
06227             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeChamferEdgesAD (   self,
  theShape,
  theD,
  theAngle,
  theEdges 
)

The Same that MakeChamferEdges() but with params theD is chamfer lenght and theAngle is Angle of chamfer (angle in radians or a name of variable which defines angle in degrees)

The Same that geompy.MakeChamferEdges but with params theD is chamfer lenght and
theAngle is Angle of chamfer (angle in radians or a name of variable which defines angle in degrees)

Definition at line 6230 of file geompyDC.py.

06230 
06231         def MakeChamferEdgesAD(self, theShape, theD, theAngle, theEdges):
06232             """
06233             The Same that geompy.MakeChamferEdges but with params theD is chamfer lenght and
06234             theAngle is Angle of chamfer (angle in radians or a name of variable which defines angle in degrees)
06235             """
06236             flag = False
06237             if isinstance(theAngle,str):
06238                 flag = True
06239             theD,theAngle,Parameters = ParseParameters(theD,theAngle)
06240             if flag:
06241                 theAngle = theAngle*math.pi/180.0
06242             anObj = self.LocalOp.MakeChamferEdgesAD(theShape, theD, theAngle, theEdges)
06243             RaiseIfFailed("MakeChamferEdgesAD", self.LocalOp)
06244             anObj.SetParameters(Parameters)
06245             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeChamferFaces (   self,
  theShape,
  theD1,
  theD2,
  theFaces 
)

Perform a chamfer on all edges of the specified faces, with distance D1 on the first specified face (if several for one edge)

Parameters:
theShapeShape, to perform chamfer on.
theD1Chamfer size along face from theFaces. If both faces, connected to the edge, are in theFaces, theD1 will be get along face, which is nearer to theFaces beginning.
theD2Chamfer size along another of two faces, connected to the edge.
theFacesSequence of global indices of faces of theShape.
Note:
Global index of sub-shape can be obtained, using method GetSubShapeID().
Returns:
New GEOM.GEOM_Object, containing the result shape.

Example

Perform a chamfer on all edges of the specified faces,
with distance D1 on the first specified face (if several for one edge)

Parameters:
    theShape Shape, to perform chamfer on.
    theD1 Chamfer size along face from  theFaces. If both faces,
          connected to the edge, are in theFaces, theD1
          will be get along face, which is nearer to theFaces beginning.
    theD2 Chamfer size along another of two faces, connected to the edge.
    theFaces Sequence of global indices of faces of theShape.

    
Note: Global index of sub-shape can be obtained, using method geompy.GetSubShapeID().

Returns:  
    New GEOM.GEOM_Object, containing the result shape.

Definition at line 6155 of file geompyDC.py.

06155 
06156         def MakeChamferFaces(self,theShape, theD1, theD2, theFaces):
06157             """
06158             Perform a chamfer on all edges of the specified faces,
06159             with distance D1 on the first specified face (if several for one edge)
06160 
06161             Parameters:
06162                 theShape Shape, to perform chamfer on.
06163                 theD1 Chamfer size along face from  theFaces. If both faces,
06164                       connected to the edge, are in theFaces, theD1
06165                       will be get along face, which is nearer to theFaces beginning.
06166                 theD2 Chamfer size along another of two faces, connected to the edge.
06167                 theFaces Sequence of global indices of faces of theShape.
06168 
06169                 
06170             Note: Global index of sub-shape can be obtained, using method geompy.GetSubShapeID().
06171 
06172             Returns:  
06173                 New GEOM.GEOM_Object, containing the result shape.
06174             """
06175             # Example: see GEOM_TestAll.py
06176             theD1,theD2,Parameters = ParseParameters(theD1,theD2)
06177             anObj = self.LocalOp.MakeChamferFaces(theShape, theD1, theD2, theFaces)
06178             RaiseIfFailed("MakeChamferFaces", self.LocalOp)
06179             anObj.SetParameters(Parameters)
06180             return anObj

Here is the call graph for this function:

Here is the caller graph for this function:

def geompyDC.geompyDC.MakeChamferFacesAD (   self,
  theShape,
  theD,
  theAngle,
  theFaces 
)

The Same that MakeChamferFaces() but with params theD is chamfer lenght and theAngle is Angle of chamfer (angle in radians or a name of variable which defines angle in degrees)

Example

The Same that geompy.MakeChamferFaces but with params theD is chamfer lenght and
theAngle is Angle of chamfer (angle in radians or a name of variable which defines angle in degrees)

Definition at line 6185 of file geompyDC.py.

06185 
06186         def MakeChamferFacesAD(self, theShape, theD, theAngle, theFaces):
06187             """
06188             The Same that geompy.MakeChamferFaces but with params theD is chamfer lenght and
06189             theAngle is Angle of chamfer (angle in radians or a name of variable which defines angle in degrees)
06190             """
06191             flag = False
06192             if isinstance(theAngle,str):
06193                 flag = True
06194             theD,theAngle,Parameters = ParseParameters(theD,theAngle)
06195             if flag:
06196                 theAngle = theAngle*math.pi/180.0
06197             anObj = self.LocalOp.MakeChamferFacesAD(theShape, theD, theAngle, theFaces)
06198             RaiseIfFailed("MakeChamferFacesAD", self.LocalOp)
06199             anObj.SetParameters(Parameters)
06200             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeExtrudedBoss (   self,
  theInit,
  theBase,
  theH,
  theAngle 
)

Add material to a solid by extrusion of the base shape on the given distance.

Parameters:
theInitShape to add material to. It must be a solid or a compound made of a single solid.
theBaseClosed edge or wire defining the base shape to be extruded.
theHPrism dimension along the normal to theBase
theAngleDraft angle in degrees.
Returns:
New GEOM.GEOM_Object, containing the initial shape with added material

Example

Add material to a solid by extrusion of the base shape on the given distance.

Parameters:
    theInit Shape to add material to. It must be a solid or a compound made of a single solid.
    theBase Closed edge or wire defining the base shape to be extruded.
    theH Prism dimension along the normal  to theBase
    theAngle Draft angle in degrees.

Returns:
    New GEOM.GEOM_Object,  containing the initial shape with added material.

Definition at line 6299 of file geompyDC.py.

06299 
06300         def MakeExtrudedBoss(self, theInit, theBase, theH, theAngle):
06301             """
06302             Add material to a solid by extrusion of the base shape on the given distance.
06303 
06304             Parameters:
06305                 theInit Shape to add material to. It must be a solid or a compound made of a single solid.
06306                 theBase Closed edge or wire defining the base shape to be extruded.
06307                 theH Prism dimension along the normal  to theBase
06308                 theAngle Draft angle in degrees.
06309 
06310             Returns:
06311                 New GEOM.GEOM_Object,  containing the initial shape with added material.
06312             """
06313             # Example: see GEOM_TestAll.py
06314             #theH,Parameters = ParseParameters(theH)
06315             anObj = self.PrimOp.MakeDraftPrism(theInit, theBase, theH, theAngle, True)
06316             RaiseIfFailed("MakeExtrudedBoss", self.PrimOp)
06317             #anObj.SetParameters(Parameters)
06318             return anObj   

Here is the call graph for this function:

def geompyDC.geompyDC.MakeExtrudedCut (   self,
  theInit,
  theBase,
  theH,
  theAngle 
)

Remove material from a solid by extrusion of the base shape on the given distance.

Parameters:
theInitShape to remove material from. It must be a solid or a compound made of a single solid.
theBaseClosed edge or wire defining the base shape to be extruded.
theHPrism dimension along the normal to theBase
theAngleDraft angle in degrees.
Returns:
New GEOM.GEOM_Object, containing the initial shape with removed material

Example

Add material to a solid by extrusion of the base shape on the given distance.

Parameters:
    theInit Shape to remove material from. It must be a solid or a compound made of a single solid.
    theBase Closed edge or wire defining the base shape to be extruded.
    theH Prism dimension along the normal  to theBase
    theAngle Draft angle in degrees.

Returns:
    New GEOM.GEOM_Object,  containing the initial shape with removed material.

Definition at line 6270 of file geompyDC.py.

06270 
06271         def MakeExtrudedCut(self, theInit, theBase, theH, theAngle):
06272             """
06273             Add material to a solid by extrusion of the base shape on the given distance.
06274 
06275             Parameters:
06276                 theInit Shape to remove material from. It must be a solid or a compound made of a single solid.
06277                 theBase Closed edge or wire defining the base shape to be extruded.
06278                 theH Prism dimension along the normal  to theBase
06279                 theAngle Draft angle in degrees.
06280 
06281             Returns:
06282                 New GEOM.GEOM_Object,  containing the initial shape with removed material.
06283             """
06284             # Example: see GEOM_TestAll.py
06285             #theH,Parameters = ParseParameters(theH)
06286             anObj = self.PrimOp.MakeDraftPrism(theInit, theBase, theH, theAngle, False)
06287             RaiseIfFailed("MakeExtrudedBoss", self.PrimOp)
06288             #anObj.SetParameters(Parameters)
06289             return anObj   
            

Here is the call graph for this function:

def geompyDC.geompyDC.MakeFillet (   self,
  theShape,
  theR,
  theShapeType,
  theListShapes 
)

Perform a fillet on the specified edges/faces of the given shape.

Parameters:
theShapeShape, to perform fillet on.
theRFillet radius.
theShapeTypeType of shapes in theListShapes (see ShapeType())
theListShapesGlobal indices of edges/faces to perform fillet on.
Note:
Global index of sub-shape can be obtained, using method GetSubShapeID().
Returns:
New GEOM.GEOM_Object, containing the result shape.

Example

Perform a fillet on the specified edges/faces of the given shape

Parameters:
    theShape Shape, to perform fillet on.
    theR Fillet radius.
    theShapeType Type of shapes in theListShapes (see geompy.ShapeTypes)
    theListShapes Global indices of edges/faces to perform fillet on.

Note:
    Global index of sub-shape can be obtained, using method geompy.GetSubShapeID

Returns: 
    New GEOM.GEOM_Object, containing the result shape.

Example of usage:
    # get the list of IDs (IDList) for the fillet
    prism_edges = geompy.SubShapeAllSortedCentres(prism, geompy.ShapeType["EDGE"])
    IDlist_e = []
    IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[0]))
    IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[1]))
    IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[2]))
    # make a fillet on the specified edges of the given shape
    fillet = geompy.MakeFillet(prism, 10., geompy.ShapeType["EDGE"], IDlist_e)

Definition at line 5898 of file geompyDC.py.

05898 
05899         def MakeFillet(self,theShape, theR, theShapeType, theListShapes):
05900             """
05901             Perform a fillet on the specified edges/faces of the given shape
05902 
05903             Parameters:
05904                 theShape Shape, to perform fillet on.
05905                 theR Fillet radius.
05906                 theShapeType Type of shapes in theListShapes (see geompy.ShapeTypes)
05907                 theListShapes Global indices of edges/faces to perform fillet on.
05908 
05909             Note:
05910                 Global index of sub-shape can be obtained, using method geompy.GetSubShapeID
05911 
05912             Returns: 
05913                 New GEOM.GEOM_Object, containing the result shape.
05914 
05915             Example of usage:
05916                 # get the list of IDs (IDList) for the fillet
05917                 prism_edges = geompy.SubShapeAllSortedCentres(prism, geompy.ShapeType["EDGE"])
05918                 IDlist_e = []
05919                 IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[0]))
05920                 IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[1]))
05921                 IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[2]))
05922                 # make a fillet on the specified edges of the given shape
05923                 fillet = geompy.MakeFillet(prism, 10., geompy.ShapeType["EDGE"], IDlist_e)
05924             """
05925             # Example: see GEOM_TestAll.py
05926             theR,Parameters = ParseParameters(theR)
05927             anObj = None
05928             if theShapeType == ShapeType["EDGE"]:
05929                 anObj = self.LocalOp.MakeFilletEdges(theShape, theR, theListShapes)
05930                 RaiseIfFailed("MakeFilletEdges", self.LocalOp)
05931             else:
05932                 anObj = self.LocalOp.MakeFilletFaces(theShape, theR, theListShapes)
05933                 RaiseIfFailed("MakeFilletFaces", self.LocalOp)
05934             anObj.SetParameters(Parameters)
05935             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeFillet1D (   self,
  theShape,
  theR,
  theListOfVertexes 
)

Perform a fillet on the specified edges of the given shape.

Parameters:
theShapeWire Shape to perform fillet on.
theRFillet radius.
theListOfVertexesGlobal indices of vertexes to perform fillet on.
Note:
Global index of sub-shape can be obtained, using method GetSubShapeID()
The list of vertices could be empty, in this case fillet will done done at all vertices in wire
Returns:
New GEOM.GEOM_Object, containing the result shape.

Example

Perform a fillet on the specified edges of the given shape

Parameters:
    theShape  Wire Shape to perform fillet on.
    theR  Fillet radius.
    theListOfVertexes Global indices of vertexes to perform fillet on.
Note:
    Global index of sub-shape can be obtained, using method geompy.GetSubShapeID

    The list of vertices could be empty,in this case fillet will done done at all vertices in wire

Returns: 
    New GEOM.GEOM_Object, containing the result shape.

Example of usage:  
    # create wire
    Wire_1 = geompy.MakeWire([Edge_12, Edge_7, Edge_11, Edge_6, Edge_1,Edge_4])
    # make fillet at given wire vertices with giver radius
    Fillet_1D_1 = geompy.MakeFillet1D(Wire_1, 55, [3, 4, 6, 8, 10])

Definition at line 5972 of file geompyDC.py.

05972 
05973         def MakeFillet1D(self,theShape, theR, theListOfVertexes):
05974             """
05975             Perform a fillet on the specified edges of the given shape
05976 
05977             Parameters:
05978                 theShape  Wire Shape to perform fillet on.
05979                 theR  Fillet radius.
05980                 theListOfVertexes Global indices of vertexes to perform fillet on.
05981             Note:
05982                 Global index of sub-shape can be obtained, using method geompy.GetSubShapeID
05983 
05984                 The list of vertices could be empty,in this case fillet will done done at all vertices in wire
05985 
05986             Returns: 
05987                 New GEOM.GEOM_Object, containing the result shape.
05988 
05989             Example of usage:  
05990                 # create wire
05991                 Wire_1 = geompy.MakeWire([Edge_12, Edge_7, Edge_11, Edge_6, Edge_1,Edge_4])
05992                 # make fillet at given wire vertices with giver radius
05993                 Fillet_1D_1 = geompy.MakeFillet1D(Wire_1, 55, [3, 4, 6, 8, 10])
05994             """
05995             # Example: see GEOM_TestAll.py
05996             theR,Parameters = ParseParameters(theR)
05997             anObj = self.LocalOp.MakeFillet1D(theShape, theR, theListOfVertexes)
05998             RaiseIfFailed("MakeFillet1D", self.LocalOp)
05999             anObj.SetParameters(Parameters)
06000             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeFillet2D (   self,
  theShape,
  theR,
  theListOfVertexes 
)

Perform a fillet at the specified vertices of the given face/shell.

Parameters:
theShapeFace or Shell shape to perform fillet on.
theRFillet radius.
theListOfVertexesGlobal indices of vertexes to perform fillet on.
Note:
Global index of sub-shape can be obtained, using method GetSubShapeID().
Returns:
New GEOM.GEOM_Object, containing the result shape.

Example

Perform a fillet at the specified vertices of the given face/shell.

Parameters:
    theShape  Face or Shell shape to perform fillet on.
    theR  Fillet radius.
    theListOfVertexes Global indices of vertexes to perform fillet on.
Note:
    Global index of sub-shape can be obtained, using method geompy.GetSubShapeID

Returns: 
    New GEOM.GEOM_Object, containing the result shape.

Example of usage:
    face = geompy.MakeFaceHW(100, 100, 1)
    fillet2d = geompy.MakeFillet2D(face, 30, [7, 9])

Definition at line 6009 of file geompyDC.py.

06009 
06010         def MakeFillet2D(self, theShape, theR, theListOfVertexes):
06011             """
06012             Perform a fillet at the specified vertices of the given face/shell.
06013 
06014             Parameters:
06015                 theShape  Face or Shell shape to perform fillet on.
06016                 theR  Fillet radius.
06017                 theListOfVertexes Global indices of vertexes to perform fillet on.
06018             Note:
06019                 Global index of sub-shape can be obtained, using method geompy.GetSubShapeID
06020 
06021             Returns: 
06022                 New GEOM.GEOM_Object, containing the result shape.
06023 
06024             Example of usage:
06025                 face = geompy.MakeFaceHW(100, 100, 1)
06026                 fillet2d = geompy.MakeFillet2D(face, 30, [7, 9])
06027             """
06028             # Example: see GEOM_TestAll.py
06029             theR,Parameters = ParseParameters(theR)
06030             anObj = self.LocalOp.MakeFillet2D(theShape, theR, theListOfVertexes)
06031             RaiseIfFailed("MakeFillet2D", self.LocalOp)
06032             anObj.SetParameters(Parameters)
06033             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeFilletAll (   self,
  theShape,
  theR 
)

Perform a fillet on all edges of the given shape.

Parameters:
theShapeShape, to perform fillet on.
theRFillet radius.
Returns:
New GEOM.GEOM_Object, containing the result shape.

Example 1
Example 2

Perform a fillet on all edges of the given shape.

Parameters:
    theShape Shape, to perform fillet on.
    theR Fillet radius.

Returns: 
    New GEOM.GEOM_Object, containing the result shape.

Example of usage: 
   filletall = geompy.MakeFilletAll(prism, 10.) 

Definition at line 5868 of file geompyDC.py.

05868 
05869         def MakeFilletAll(self,theShape, theR):
05870             """
05871             Perform a fillet on all edges of the given shape.
05872 
05873             Parameters:
05874                 theShape Shape, to perform fillet on.
05875                 theR Fillet radius.
05876 
05877             Returns: 
05878                 New GEOM.GEOM_Object, containing the result shape.
05879 
05880             Example of usage: 
05881                filletall = geompy.MakeFilletAll(prism, 10.) 
05882             """
05883             # Example: see GEOM_TestOthers.py
05884             theR,Parameters = ParseParameters(theR)
05885             anObj = self.LocalOp.MakeFilletAll(theShape, theR)
05886             RaiseIfFailed("MakeFilletAll", self.LocalOp)
05887             anObj.SetParameters(Parameters)
05888             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeFilletR1R2 (   self,
  theShape,
  theR1,
  theR2,
  theShapeType,
  theListShapes 
)

The same that MakeFillet() but with two Fillet Radius R1 and R2.

The same that geompy.MakeFillet but with two Fillet Radius R1 and R2

Example of usage:
    # get the list of IDs (IDList) for the fillet
    prism_edges = geompy.SubShapeAllSortedCentres(prism, geompy.ShapeType["EDGE"])
    IDlist_e = []
    IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[0]))
    IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[1]))
    IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[2]))
    # make a fillet on the specified edges of the given shape
    fillet = geompy.MakeFillet(prism, 10., 15., geompy.ShapeType["EDGE"], IDlist_e)

Definition at line 5937 of file geompyDC.py.

05937 
05938         def MakeFilletR1R2(self, theShape, theR1, theR2, theShapeType, theListShapes):
05939             """
05940             The same that geompy.MakeFillet but with two Fillet Radius R1 and R2
05941 
05942             Example of usage:
05943                 # get the list of IDs (IDList) for the fillet
05944                 prism_edges = geompy.SubShapeAllSortedCentres(prism, geompy.ShapeType["EDGE"])
05945                 IDlist_e = []
05946                 IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[0]))
05947                 IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[1]))
05948                 IDlist_e.append(geompy.GetSubShapeID(prism, prism_edges[2]))
05949                 # make a fillet on the specified edges of the given shape
05950                 fillet = geompy.MakeFillet(prism, 10., 15., geompy.ShapeType["EDGE"], IDlist_e)
05951             """
05952             theR1,theR2,Parameters = ParseParameters(theR1,theR2)
05953             anObj = None
05954             if theShapeType == ShapeType["EDGE"]:
05955                 anObj = self.LocalOp.MakeFilletEdgesR1R2(theShape, theR1, theR2, theListShapes)
05956                 RaiseIfFailed("MakeFilletEdgesR1R2", self.LocalOp)
05957             else:
05958                 anObj = self.LocalOp.MakeFilletFacesR1R2(theShape, theR1, theR2, theListShapes)
05959                 RaiseIfFailed("MakeFilletFacesR1R2", self.LocalOp)
05960             anObj.SetParameters(Parameters)
05961             return anObj

Here is the call graph for this function: